org.appng.appngizer.model.xml

## Class Database

- java.lang.Object
- - org.appng.appngizer.model.xml.Linkable
  - - org.appng.appngizer.model.xml.Database

- Direct Known Subclasses:
    Database

      public class Database
      extends Linkable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <extension base="{http://www.appng.org/schema/appngizer}linkable">
             <sequence>
               <element name="type" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="user" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="password" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="dbVersion" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="driver" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="url" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="ok" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="managed" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
               <element name="size" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
               <element name="versions" type="{http://www.appng.org/schema/appngizer}versions" minOccurs="0"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}int" />
           </extension>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `dbVersion`
    `protected String` | `driver`
    `protected Integer` | `id`
    `protected Boolean` | `managed`
    `protected boolean` | `ok`
    `protected String` | `password`
    `protected Double` | `size`
    `protected String` | `type`
    `protected String` | `url`
    `protected String` | `user`
    `protected Versions` | `versions`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Linkable

      `links, self`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Database()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDbVersion()` Gets the value of the dbVersion property.
    `String` | `getDriver()` Gets the value of the driver property.
    `Integer` | `getId()` Gets the value of the id property.
    `String` | `getPassword()` Gets the value of the password property.
    `Double` | `getSize()` Gets the value of the size property.
    `String` | `getType()` Gets the value of the type property.
    `String` | `getUrl()` Gets the value of the url property.
    `String` | `getUser()` Gets the value of the user property.
    `Versions` | `getVersions()` Gets the value of the versions property.
    `Boolean` | `isManaged()` Gets the value of the managed property.
    `boolean` | `isOk()` Gets the value of the ok property.
    `void` | `setDbVersion(String value)` Sets the value of the dbVersion property.
    `void` | `setDriver(String value)` Sets the value of the driver property.
    `void` | `setId(Integer value)` Sets the value of the id property.
    `void` | `setManaged(Boolean value)` Sets the value of the managed property.
    `void` | `setOk(boolean value)` Sets the value of the ok property.
    `void` | `setPassword(String value)` Sets the value of the password property.
    `void` | `setSize(Double value)` Sets the value of the size property.
    `void` | `setType(String value)` Sets the value of the type property.
    `void` | `setUrl(String value)` Sets the value of the url property.
    `void` | `setUser(String value)` Sets the value of the user property.
    `void` | `setVersions(Versions value)` Sets the value of the versions property.

    - ### Methods inherited from class org.appng.appngizer.model.xml.Linkable

      `getLinks, getSelf, setLinks, setSelf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          protected String type

    - #### user

          protected String user

    - #### password

          protected String password

    - #### dbVersion

          protected String dbVersion

    - #### driver

          protected String driver

    - #### url

          protected String url

    - #### ok

          protected boolean ok

    - #### managed

          protected Boolean managed

    - #### size

          protected Double size

    - #### versions

          protected Versions versions

    - #### id

          protected Integer id

  - ### Constructor Detail

    - #### Database

          public Database()

  - ### Method Detail

    - #### getType

          public String getType()

      Gets the value of the type property.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(String value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `String`

    - #### getUser

          public String getUser()

      Gets the value of the user property.
      Returns:
        possible object is `String`

    - #### setUser

          public void setUser(String value)

      Sets the value of the user property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPassword

          public String getPassword()

      Gets the value of the password property.
      Returns:
        possible object is `String`

    - #### setPassword

          public void setPassword(String value)

      Sets the value of the password property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDbVersion

          public String getDbVersion()

      Gets the value of the dbVersion property.
      Returns:
        possible object is `String`

    - #### setDbVersion

          public void setDbVersion(String value)

      Sets the value of the dbVersion property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDriver

          public String getDriver()

      Gets the value of the driver property.
      Returns:
        possible object is `String`

    - #### setDriver

          public void setDriver(String value)

      Sets the value of the driver property.
      Parameters:
        `value` - allowed object is `String`

    - #### getUrl

          public String getUrl()

      Gets the value of the url property.
      Returns:
        possible object is `String`

    - #### setUrl

          public void setUrl(String value)

      Sets the value of the url property.
      Parameters:
        `value` - allowed object is `String`

    - #### isOk

          public boolean isOk()

      Gets the value of the ok property.

    - #### setOk

          public void setOk(boolean value)

      Sets the value of the ok property.

    - #### isManaged

          public Boolean isManaged()

      Gets the value of the managed property.
      Returns:
        possible object is `Boolean`

    - #### setManaged

          public void setManaged(Boolean value)

      Sets the value of the managed property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getSize

          public Double getSize()

      Gets the value of the size property.
      Returns:
        possible object is `Double`

    - #### setSize

          public void setSize(Double value)

      Sets the value of the size property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getVersions

          public Versions getVersions()

      Gets the value of the versions property.
      Returns:
        possible object is `Versions`

    - #### setVersions

          public void setVersions(Versions value)

      Sets the value of the versions property.
      Parameters:
        `value` - allowed object is `Versions`

    - #### getId

          public Integer getId()

      Gets the value of the id property.
      Returns:
        possible object is `Integer`

    - #### setId

          public void setId(Integer value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `Integer`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.